package cn.pluss.platform.helpVideo;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.HelpVideo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface HelpVideoService extends IService<HelpVideo> {

    public HelpVideo queryHelpVideo(HelpVideo helpVideo);

    public List<HelpVideo> queryHelpVideoList(HelpVideo helpVideo);

    public void saveHelpVideo(HelpVideo helpVideo);

    public void updateHelpVideo(HelpVideo helpVideo);

    public void deleteHelpVideo(HelpVideo helpVideo);

    public List<HelpVideo> queryHelpVideoPage(Map map);

    public Integer queryHelpVideoPageCount(Map map);

    public void saveHelpVideoBatch(List<HelpVideo> helpVideoList);
}

